## libchart-perl 2.4.1

=== Makefile ===
# This Makefile is for the Chart extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.17 (Revision: 1.133) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#     NAME => q[Chart]
#     PREREQ_PM => { GD=>q[1.2] }
#     VERSION => q[2.4.1]
#     dist => { COMPRESS=>q[gzip], SUFFIX=>q[gz] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/local/lib/perl5/5.8.6/alpha-dec_osf/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS =  
CCDLFLAGS =   -Wl,-rpath,/usr/local/lib/perl5/5.8.6/alpha-dec_osf/CORE
DLEXT = so
DLSRC = dl_dlopen.xs
LD = ld
LDDLFLAGS = -shared -expect_unresolved "*" -O4 -msym -std -s -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /usr/shlib/libc.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = dec_osf
OSVERS = 5.1a
RANLIB = :
SITELIBEXP = /usr/local/lib/perl5/site_perl/5.8.6
SITEARCHEXP = /usr/local/lib/perl5/site_perl/5.8.6/alpha-dec_osf
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar
VENDORARCHEXP = 
VENDORLIBEXP = 


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
NAME = Chart
NAME_SYM = Chart
VERSION = 2.4.1
VERSION_MACRO = VERSION
VERSION_SYM = 2_4_1
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 2.4.1
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1
MAN3EXT = 3
INSTALLDIRS = site
DESTDIR = 
PREFIX = 
PERLPREFIX = /usr/local
SITEPREFIX = /usr/local
VENDORPREFIX = 
INSTALLPRIVLIB = $(PERLPREFIX)/lib/perl5/5.8.6
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = $(SITEPREFIX)/lib/perl5/site_perl/5.8.6
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = 
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = $(PERLPREFIX)/lib/perl5/5.8.6/alpha-dec_osf
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl5/site_perl/5.8.6/alpha-dec_osf
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = 
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = $(PERLPREFIX)/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = $(SITEPREFIX)/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = 
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = $(PERLPREFIX)/scripts
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLMAN1DIR = $(PERLPREFIX)/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = 
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = $(PERLPREFIX)/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = 
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/local/lib/perl5/5.8.6
PERL_ARCHLIB = /usr/local/lib/perl5/5.8.6/alpha-dec_osf
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = $(FIRST_MAKEFILE).old
MAKE_APERL_FILE = $(FIRST_MAKEFILE).aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/local/lib/perl5/5.8.6/alpha-dec_osf/CORE
PERL = /usr/local/bin/perl
FULLPERL = /usr/local/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/local/lib/perl5/5.8.6/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.17
MM_REVISION = 1.133

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = Chart
BASEEXT = Chart
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = 
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = 
MAN3PODS = Chart.pod

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DIRFILESEP)Config.pm $(PERL_INC)$(DIRFILESEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = Chart.pod \
	Chart/Bars.pm \
	Chart/Base.pm \
	Chart/Composite.pm \
	Chart/Direction.pm \
	Chart/ErrorBars.pm \
	Chart/HorizontalBars.pm \
	Chart/Lines.pm \
	Chart/LinesPoints.pm \
	Chart/Mountain.pm \
	Chart/Pareto.pm \
	Chart/Pie.pm \
	Chart/Points.pm \
	Chart/Split.pm \
	Chart/StackedBars.pm

PM_TO_BLIB = Chart/Base.pm \
	$(INST_LIB)/Chart/Base.pm \
	Chart.pod \
	$(INST_LIB)/Chart.pod \
	Chart/Lines.pm \
	$(INST_LIB)/Chart/Lines.pm \
	Chart/HorizontalBars.pm \
	$(INST_LIB)/Chart/HorizontalBars.pm \
	Chart/Pareto.pm \
	$(INST_LIB)/Chart/Pareto.pm \
	Chart/Composite.pm \
	$(INST_LIB)/Chart/Composite.pm \
	Chart/Mountain.pm \
	$(INST_LIB)/Chart/Mountain.pm \
	Chart/Direction.pm \
	$(INST_LIB)/Chart/Direction.pm \
	Chart/Pie.pm \
	$(INST_LIB)/Chart/Pie.pm \
	Chart/Points.pm \
	$(INST_LIB)/Chart/Points.pm \
	Chart/Split.pm \
	$(INST_LIB)/Chart/Split.pm \
	Chart/ErrorBars.pm \
	$(INST_LIB)/Chart/ErrorBars.pm \
	Chart/Bars.pm \
	$(INST_LIB)/Chart/Bars.pm \
	Chart/StackedBars.pm \
	$(INST_LIB)/Chart/StackedBars.pm \
	Chart/LinesPoints.pm \
	$(INST_LIB)/Chart/LinesPoints.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 1.42
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)'



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(SHELL) -c true
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(PERLRUN) "-MExtUtils::Command" -e mkpath
EQUALIZE_TIMESTAMP = $(PERLRUN) "-MExtUtils::Command" -e eqtime
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(PERLRUN) -MExtUtils::Install -e 'install({@ARGV}, '\''$(VERBINST)'\'', 0, '\''$(UNINST)'\'');'
DOC_INSTALL = $(PERLRUN) "-MExtUtils::Command::MM" -e perllocal_install
UNINSTALL = $(PERLRUN) "-MExtUtils::Command::MM" -e uninstall
WARN_IF_OLD_PACKLIST = $(PERLRUN) "-MExtUtils::Command::MM" -e warn_if_old_packlist


# --- MakeMaker makemakerdflt section:
makemakerdflt: all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip
SUFFIX = gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = Chart
DISTVNAME = Chart-2.4.1


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker special_targets section:
.SUFFIXES: .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest



# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) $(INST_LIBDIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

config :: $(INST_ARCHAUTODIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

config :: $(INST_AUTODIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

$(INST_AUTODIR)/.exists :: /usr/local/lib/perl5/5.8.6/alpha-dec_osf/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/local/lib/perl5/5.8.6/alpha-dec_osf/CORE/perl.h $(INST_AUTODIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/local/lib/perl5/5.8.6/alpha-dec_osf/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/local/lib/perl5/5.8.6/alpha-dec_osf/CORE/perl.h $(INST_LIBDIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/local/lib/perl5/5.8.6/alpha-dec_osf/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/local/lib/perl5/5.8.6/alpha-dec_osf/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

config :: $(INST_MAN3DIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)


$(INST_MAN3DIR)/.exists :: /usr/local/lib/perl5/5.8.6/alpha-dec_osf/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/local/lib/perl5/5.8.6/alpha-dec_osf/CORE/perl.h $(INST_MAN3DIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_MAN3DIR)

help:
	perldoc ExtUtils::MakeMaker


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) $(INST_DYNAMIC) $(INST_BOOT)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
static :: $(FIRST_MAKEFILE) $(INST_STATIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:

POD2MAN_EXE = $(PERLRUN) "-MExtUtils::Command::MM" -e pod2man "--"
POD2MAN = $(POD2MAN_EXE)


manifypods : pure_all  \
	Chart.pod \
	Chart.pod
	$(NOECHO) $(POD2MAN) --section=3 --perm_rw=$(PERM_RW)\
	  Chart.pod $(INST_MAN3DIR)/Chart.$(MAN3EXT) 




# --- MakeMaker processPL section:


# --- MakeMaker installbin section:


# --- MakeMaker subdirs section:

# none

# --- MakeMaker clean_subdirs section:
clean_subdirs :
	$(NOECHO) $(NOOP)


# --- MakeMaker clean section:

# Delete temporary files but do not touch installed files. We don't delete
# the Makefile here so a later make realclean still has a makefile to use.

clean :: clean_subdirs
	-$(RM_RF) ./blib $(MAKE_APERL_FILE) $(INST_ARCHAUTODIR)/extralibs.all $(INST_ARCHAUTODIR)/extralibs.ld perlmain.c tmon.out mon.out so_locations pm_to_blib *$(OBJ_EXT) *$(LIB_EXT) perl.exe perl perl$(EXE_EXT) $(BOOTSTRAP) $(BASEEXT).bso $(BASEEXT).def lib$(BASEEXT).def $(BASEEXT).exp $(BASEEXT).x core core.*perl.*.? *perl.core core.[0-9] core.[0-9][0-9] core.[0-9][0-9][0-9] core.[0-9][0-9][0-9][0-9] core.[0-9][0-9][0-9][0-9][0-9]
	-$(MV) $(FIRST_MAKEFILE) $(MAKEFILE_OLD) $(DEV_NULL)


# --- MakeMaker realclean_subdirs section:
realclean_subdirs :
	$(NOECHO) $(NOOP)


# --- MakeMaker realclean section:

## libchart-perl 2.4.4

=== debian/changelog ===
libchart-perl (2.4.4-1) unstable; urgency=low

  * New upstream release.
  * Refresh color.patch, drop grammar.patch.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Jan 2012 17:26:17 +0100

libchart-perl (2.4.3-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: ${misc:Depends} to Depends: field.
  * Email change: gregor herrmann -> gregoa@debian.org

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Jotam Jr. Trejo ]
  * New upstream release 2.4.2

  [ gregor herrmann ]
  * Switch to source format 3.0 (quilt).
  * debian/copyright: refresh formatting, add new third party file.
  * Remove version from perl build dependency.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.
  * debian/control: Fix typo in description. (Closes: #636584)

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * New upstream release 2.4.3.
  * Refresh color.patch, add grammar.patch.
  * Update years of packaging copyright.
  * Remove generated Makefile in clean target.
  * Bump Standards-Version to 3.9.2 (no changes).
  * Switch to debhelper compatibility level 8.

 -- gregor herrmann <gregoa@debian.org>  Mon, 02 Jan 2012 15:40:08 +0100

libchart-perl (2.4.1-5) unstable; urgency=low

  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields. Long Uploaders line wrapped.
  * debian/rules: 
    - delete /usr/lib/perl5 only if it exists (closes: #467682)
    - update with the help of dh-make-perl's templates
    - remove samples/ conditionally
    - symlink upstream README as upstream changelog
    - recreate Makefile in clean target if it exists as it contains ugly paths
  * Consistently use debhelper compatibility level 5 (control, compat,
    rules).
  * Set Standards-Version to 3.7.3 (no changes).
  * debian/watch: use dist-based URL.
  * Split out the color patch into debian/patches/color.patch, add quilt
    framework.
  * debian/copyright: change upstream source URL, convert to new format, add
    additional copyright holders.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 02 Mar 2008 16:53:59 +0100

libchart-perl (2.4.1-4) unstable; urgency=low

  * Use $(CURDIR) [make] instead of $(PWD) [sh] to fix issues with sudo.
  * Bump Standards-Version to 3.7.2 (no changes).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun,  1 Oct 2006 13:45:38 +0200

libchart-perl (2.4.1-3) unstable; urgency=low

  * Further modify the color patch from #172140 to restore the
    original color definitions. (Closes: #231730)

 -- Niko Tyni <ntyni@iki.fi>  Thu, 23 Mar 2006 22:40:08 +0200

libchart-perl (2.4.1-2) unstable; urgency=low

  * Remove the leftover file 'big-changes' from the source package.
  * Modify the color patch from #172140 to keep the first 64 colors
    compatible with upstream. (Closes: #231730)
  * clean up old CVS references in debian/rules.
  * Don't install an empty '/usr/lib/perl5' directory.

 -- Niko Tyni <ntyni@iki.fi>  Sun, 19 Mar 2006 22:21:00 +0200

libchart-perl (2.4.1-1) unstable; urgency=low

  * New upstream release (closes: #329508) (closes: #216345)
  * debian/control - hijacking package for Debian Perl Group 
    (closes: #279780), feel free to join: http://pkg-perl.alioth.debian.org/
  * debian/watch - added
  * debian/rules - added testing suite

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu, 16 Feb 2006 15:00:48 +0100

libchart-perl (2.2-1) unstable; urgency=low

  * New upstream version
  * The description in debian/control no longer refers to the GD libary
    and the debian/copyright now mentions where the upstream source may be
    found,
  Closes: #161965
  * Extend the number of possible datasets significantly.  The Chart
    modules will now support 300 seperate datasets,
  Closes: #172140

 -- Stephen Zander <gibreel@debian.org>  Fri, 14 Mar 2003 22:51:15 -0800

libchart-perl (1.0.1-2) unstable; urgency=low

  * Chnages to the libgd-perl package caused this package to become
    uninstallable.  Fix this.
  * Dependencies changed to allow this package to work with non-XPM
    versions of libgd-perl,
  Closes: #147949

 -- Stephen Zander <gibreel@debian.org>  Tue,  3 Sep 2002 10:21:44 -0700

libchart-perl (1.0.1-1) unstable; urgency=low

  * New upstream source
  * New maintainer, Closes: #123490
  * Upstream no longer supports gif, Closes: #100446

 -- Stephen Zander <gibreel@debian.org>  Fri, 11 Jan 2002 21:44:25 -0800

libchart-perl (0.99c.pre3-0.1) unstable; urgency=low

  * NMU of the last knowned upstream version (closes: #100446,#103582).
  * Clean rules and pass to 3.5.6.0 policy version.
  * This package is now binary indep.
  * Update gdchart URL in description.
  * Comment out some unneeded debhelper action in rules file. 

 -- Rémi Perrot <rperrot@debian.org>  Sat, 27 Oct 2001 13:22:39 +0200

libchart-perl (0.99b-1) unstable; urgency=low

  * First upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Thu, 20 Apr 2000 22:48:26 +0200

=== debian/control ===
Source: libchart-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Krzysztof Krzyzaniak (eloy) <eloy@debian.org>, 
 Niko Tyni <ntyni@iki.fi>, gregor herrmann <gregoa@debian.org>
Standards-Version: 3.9.2
Homepage: http://search.cpan.org/dist/Chart/
Vcs-Git: git://git.debian.org/pkg-perl/packages/libchart-perl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libchart-perl.git
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl, libgd-gd2-perl

Package: libchart-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libgd-gd2-perl | libgd-gd2-noxpm-perl
Description: Chart library for Perl
 This package is a collection of chart creation modules for Perl based
 on the GD graphics library.  It provides the ability to create the
 following chart types:
 .
  * Bar
  * Line
  * Mountain
  * Pareto
  * Pie
  * Point

=== debian/watch ===
version=3
http://search.cpan.org/dist/Chart/   .*/Chart-v?(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)

## libchart-perl 2.4.5

=== debian/changelog ===
libchart-perl (2.4.5-1) unstable; urgency=low

  * New upstream release.
  * Refresh color.patch (offset).
  * Drop fix_scalar_png_return.patch, applied upstream.
  * Remove deleted ToDo.txt from debian/libchart-perl.docs.
  * Update years of upstream copyright.
  * Add a patch to fix some POD errors.

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Mar 2012 15:48:46 +0100

libchart-perl (2.4.4-2) unstable; urgency=low

  * Add fix_scalar_png_return.patch, restoring a sensible return value that
    Jifty::Plugin::Chart relies upon (closes: 660379).
  * Bump Standards-Version to 3.9.3 (use copyright-format 1.0).
  * Add myself to Uploaders and copyright.
  * Add doxygen class reference and register documentation with doc-base.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Mon, 19 Mar 2012 20:43:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Krzysztof Krzyzaniak (eloy) <eloy@debian.org>, 
- Niko Tyni <ntyni@iki.fi>, gregor herrmann <gregoa@debian.org>
-Standards-Version: 3.9.2
+ Niko Tyni <ntyni@iki.fi>, gregor herrmann <gregoa@debian.org>,
+ Florian Schlichting <fschlich@zedat.fu-berlin.de>
+Standards-Version: 3.9.3
 Homepage: http://search.cpan.org/dist/Chart/
 Vcs-Git: git://git.debian.org/pkg-perl/packages/libchart-perl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libchart-perl.git

## libchart-perl 2.4.6

=== debian/changelog ===
libchart-perl (2.4.6-1) UNRELEASED; urgency=low

  [ Xavier Guimard ]
  * New upstream release
  * Bump Standards-Version to 3.9.4
  * Update copyright years
  * Remove patches (included in upstream now)
  * Update docs (remove rgb.txt)
  * Change Build-Depends-Indep (libgd-gd2-noxpm-perl | libgd-gd2-perl instead
    of libgd-gd2-perl)

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Florian Schlichting ]
  * Email change: Florian Schlichting -> fsfs@debian.org

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 05 Nov 2012 13:41:47 +0100

=== debian/control ===
Source: libchart-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Krzysztof Krzyzaniak (eloy) <eloy@debian.org>,
           Niko Tyni <ntyni@iki.fi>,
           gregor herrmann <gregoa@debian.org>,
           Florian Schlichting <fsfs@debian.org>,
           Xavier Guimard <x.guimard@free.fr>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: libgd-gd2-noxpm-perl | libgd-gd2-perl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libchart-perl.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libchart-perl.git
Homepage: https://metacpan.org/release/Chart/

Package: libchart-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libgd-gd2-perl | libgd-gd2-noxpm-perl
Description: Chart library for Perl
 This package is a collection of chart creation modules for Perl based
 on the GD graphics library.  It provides the ability to create the
 following chart types:
 .
  * Bar
  * Line
  * Mountain
  * Pareto
  * Pie
  * Point

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -k README

override_dh_clean:
	dh_clean
	$(RM) -r $(CURDIR)/samples

=== debian/watch ===
version=3
https://metacpan.org/release/Chart/   .*/Chart-v?(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)

## libchart-perl 2.4.10ds1

=== debian/changelog ===
libchart-perl (2.4.10ds1-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 14:44:35 +0100

libchart-perl (2.4.10ds1-2) unstable; urgency=medium

  * Fix autopkgtest.
    + Tell use.t which module to test.
    + Add patterns directory for smoke test.
  * Update years of packaging copyright.
  * Update build and runtime depedency from libgd-gd2-perl to libgd-perl.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 May 2015 12:14:15 +0200

libchart-perl (2.4.10ds1-1) unstable; urgency=medium

  * Team upload

  * Add debian/upstream/metadata
  * Import upstream version 2.4.10
    + Drop debian/patches/fix-defined-@array-is-deprecated-warning.patch,
      applied upstream.
    + Refresh debian/patches/debian-bug-709533.patch.
  * Drop HTML documentation and repack upstream tar ball without it due to
    + unclear licensing (Sizzle.js),
    + embedded code copies (ancient jQuery and Sizzle via Doxygen),
    + and no chance to rebuild it.
    And even if we would be able to rebuild it, we still would run into
    the common and annoying issues with embedded code copies in Doxygen
    generated documentation. Hence:
    + Drop doc/html from debian/libchart-perl.docs
    + Add "Files-Excluded" header to debian/copyright.
    + Add repack suffix to debian/watch.
    Thos fixes tons of (valid) lintian warnings:
    + source-is-missing
    + embedded-javascript-library
    + source-contains-prebuilt-javascript-object
    + source-contains-prebuilt-doxygen-documentation
  * Also drop Documentation.pdf from the upstream tar ball since it is
    included twice:
    + Replace it with doc/LaTeX/Documentation.pdf in
      debian/libchart-perl.docs
    + Drop HTML stanza from debian/libchart-perl.doc-base.
  * Also drop MYMETA.yml which is (re-)generated at built time and removed
    in the clean target and hence should not be in any upstream tar ball.
  * Apply wrap-and-sort.
  * Declare package as autopkgtestable.
  * Drop no more existing libgd-gd2-noxpm-perl from alternative
    (build-indep-)dependecies.

 -- Axel Beckert <abe@debian.org>  Sun, 10 May 2015 18:03:59 +0200

libchart-perl (2.4.6-3) unstable; urgency=medium

  * Team upload
  * Create samples directory via patch, not Makefile.PL
    + Needed to run test suite via autopkgtest.
    + Only remove samples contents (without dot files) in clean target

 -- Axel Beckert <abe@debian.org>  Mon, 22 Sep 2014 19:43:29 +0200

libchart-perl (2.4.6-2) unstable; urgency=medium

  * Team upload

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Partha P. Mukherjee ]
  * Add patch to fix off-by one error which caused ugly graphs since 2.4.4
    (Closes: #709533)

  [ Axel Beckert ]
  * Add patch to fix perl deprecation warning "defined(@array) is
    deprecated".
  * Fix the following lintian warnings:
    + useless-autogenerated-doxygen-file
    + wildcard-matches-nothing-in-dep5-copyright
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Axel Beckert <abe@debian.org>  Mon, 22 Sep 2014 13:18:13 +0200

libchart-perl (2.4.6-1) unstable; urgency=low

  [ Xavier Guimard ]
  * New upstream release
  * Bump Standards-Version to 3.9.4
  * Update copyright years
  * Remove patches (included in upstream now)
  * Update docs (remove rgb.txt)
  * Change Build-Depends-Indep (libgd-gd2-noxpm-perl | libgd-gd2-perl instead
    of libgd-gd2-perl)

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Florian Schlichting ]
  * Email change: Florian Schlichting -> fsfs@debian.org

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 05 Nov 2012 13:41:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,18 @@
 Section: perl
 Priority: optional
 Build-Depends: debhelper (>= 8)
-Build-Depends-Indep: libgd-gd2-noxpm-perl | libgd-gd2-perl
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libchart-perl.git
+Build-Depends-Indep: libgd-perl
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libchart-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libchart-perl.git
-Homepage: https://metacpan.org/release/Chart/
+Homepage: https://metacpan.org/release/Chart
+Testsuite: autopkgtest-pkg-perl
 
 Package: libchart-perl
 Architecture: all
-Depends: ${misc:Depends},
-         ${perl:Depends},
-         libgd-gd2-perl | libgd-gd2-noxpm-perl
+Depends: libgd-perl,
+         ${misc:Depends},
+         ${perl:Depends}
 Description: Chart library for Perl
  This package is a collection of chart creation modules for Perl based
  on the GD graphics library.  It provides the ability to create the
@@ -30,4 +31,3 @@
   * Pareto
   * Pie
   * Point
-

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -k README

override_dh_installdocs:
	dh_installdocs -X.map -X.md5

## libchart-perl 2.403.6

=== debian/changelog ===
libchart-perl (2.403.6-1) unstable; urgency=medium

  * Import upstream version 2.403.6.

 -- gregor herrmann <gregoa@debian.org>  Thu, 28 Jul 2022 16:47:35 +0200

libchart-perl (2.403.2-1) unstable; urgency=medium

  * Import upstream version 2.401.1+ds.
  * Update years of upstream copyright.
  * Refresh patches.

  * Import upstream version 2.403.2.
  * debian/{watch,copyright}: drop repackaging bits.
    The files we removed are gone from the upstream tarball.
  * Update debian/tests/pkg-perl/smoke-files.
    Drop patterns/ as the directory was moved beneath t/.
  * Update/remove debian/libchart-perl.{docs,doc-base}.
    The doc/ directory is gone.
  * Drop debian-bug-709533.patch.
    Doesn't apply anymore and shouldn't be needed, as the calculation of the
    circle has been changed.
  * Update upstream copyright, and drop comment about license.
  * Update test dependencies and runtime Recommends.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Thu, 14 Jul 2022 11:49:54 +0200

libchart-perl (2.400.10+ds-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * Email change: Xavier Guimard -> yadd@debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.
  * Update Files-Excluded in debian/copyright in preparation for the next
    release.
    Drop MYMETA.yml, which is gone, add pm_to_blib (which is also a build
    artifact and should not be in the tarball).
  * Update debian/watch before importing the next release.
    Use +ds as repacksuffix, and use the modern dversionmangle=auto.

  * Import upstream version 2.400.10+ds.
  * debian/copyright:
    - update Upstream-Contact
    - update years of upstream and packaging copyright
    - add information about lib/Chart/Mountain.pm which mentions a different
      copyright holder
    - add a comment about the applicable license
  * debian/rules:
    - drop override_dh_installchangelogs: we now have a Changes file
    - drop override_dh_installdoc: the files not to be compressed don't exist
      anymore
  * Update patches:
    - dop pod.patch, applied upstream
    - refresh debian-bug-709533.patch
  * debian/control:
    - declare compliance with Debian Policy 4.6.0
    - set Rules-Requires-Root: no
    - bump debhelper-compat to 13
    - annotate test-only build dependencies with <!nocheck>
    - explicitly build-depend on perl
  * Install new upstream CONTRIBUTING document.
  * Update debian/upstream/metadata.
  * debian/clean: drop Makefile which gets removed by the upstream
    clean target.

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 Apr 2022 19:52:36 +0200

=== debian/control ===
Source: libchart-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Niko Tyni <ntyni@iki.fi>,
           gregor herrmann <gregoa@debian.org>,
           Florian Schlichting <fsfs@debian.org>,
           Xavier Guimard <yadd@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libgd-perl <!nocheck>,
                     libgraphics-colornames-perl <!nocheck>,
                     libtest-warn-perl <!nocheck>,
                     perl
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libchart-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libchart-perl.git
Homepage: https://metacpan.org/release/Chart
Rules-Requires-Root: no

Package: libchart-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libgd-perl
Recommends: libgraphics-colornames-perl
Description: Chart library for Perl
 This package is a collection of chart creation modules for Perl based
 on the GD graphics library.  It provides the ability to create the
 following chart types:
 .
  * Bar
  * Line
  * Mountain
  * Pareto
  * Pie
  * Point

## libchart-perl 2.403.7

=== debian/changelog ===
libchart-perl (2.403.7-1) unstable; urgency=medium

  * Import upstream version 2.403.7.

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Aug 2022 15:36:34 +0200

## libchart-perl 2.403.9

=== debian/changelog ===
libchart-perl (2.403.9-1) unstable; urgency=medium

  * Import upstream version 2.403.9.
  * Remove libgraphics-colornames-perl from Build-Depends-Indep and
    Recommends.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Dec 2022 17:27:18 +0100

libchart-perl (2.403.8-1) unstable; urgency=medium

  * Import upstream version 2.403.8.
  * debian/control: add new dependency libgraphics-toolkit-color-perl.
  * Don't install manpage fragment Chart::Property::DataType::Color.3pm.

 -- gregor herrmann <gregoa@debian.org>  Wed, 30 Nov 2022 18:35:37 +0100

libchart-perl (2.403.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 00:50:34 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: libgd-perl <!nocheck>,
-                     libgraphics-colornames-perl <!nocheck>,
+                     libgraphics-toolkit-color-perl <!nocheck>,
                      libtest-warn-perl <!nocheck>,
                      perl
 Standards-Version: 4.6.1
@@ -22,8 +22,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
-         libgd-perl
-Recommends: libgraphics-colornames-perl
+         libgd-perl,
+         libgraphics-toolkit-color-perl
 Description: Chart library for Perl
  This package is a collection of chart creation modules for Perl based
  on the GD graphics library.  It provides the ability to create the

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# manpage fragment
	$(RM) -v $(TMP)/usr/share/man/man3/Chart::Property::DataType::Color.3pm

=== debian/watch ===
version=4
https://metacpan.org/release/Chart   .*/Chart-v?@ANY_VERSION@@ARCHIVE_EXT@$
